export * from "./LevelNames";
export * from "./Level";
export * from "./LevelSelection";
export * from "./Tutorial";
export * from "./CarCadr";

import { LevelNames } from ".";
import { CarCadr, LevelSelection, Tutorial, Level } from ".";
import { ChurchNumeralsOne } from "./ChurchNumeralsOne";

export const LEVELS: Level[] = [
  new LevelSelection(),
  new Tutorial(),
  new CarCadr(),
  new ChurchNumeralsOne(),
];
export const LEVEL_PROGRESSION: Record<string, string[]> = {
  [LevelNames.LevelSelection]: [LevelNames.Tutorial],
  [LevelNames.Tutorial]: [LevelNames.CarCadr],
  [LevelNames.CarCadr]: [LevelNames.ChurchNumeralsOne],
};
